<html>
    <head>
        <meta charset="utf-8">
        <link rel="stylesheet" href="../assets/css/cuentaAtras.css">
        <link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Montserrat:ital@1&display=swap" rel="stylesheet">
    </head>
    <body>
        <div id="clock">
            <p id="texto">Página en desarrollo</p>
            <div id="dias">
            </div>
            :
            <div id="hora">
            </div>
            :
            <div id="mins">
            </div>
            :
            <div id="sec">
            </div>
            <p id="salto">
                <a href="../index.html"><button>Volver a la página</button></a>
            </p>
            
        </div>
        
        
        <script>

            const getRemainingTime = deadline => {
            let now = new Date(),
                remainTime = (new Date(deadline) - now + 1000) / 1000,
                remainSeconds = ('0' + Math.floor(remainTime % 60)).slice(-2),
                remainMinutes = ('0' + Math.floor(remainTime / 60 % 60)).slice(-2),
                remainHours = ('0' + Math.floor(remainTime / 3600 % 24)).slice(-2),
                remainDays = Math.floor(remainTime / (3600 * 24));

            return {
                remainSeconds,
                remainMinutes,
                remainHours,
                remainDays,
                remainTime
            }
            };

            const countdown = (deadline,elem,finalMessage) => {
            const el = document.getElementById(elem);

            const timerUpdate = setInterval( () => {
                let t = getRemainingTime(deadline);
                if(t.remainDays > 0 || t.remainHours > 0 || t.remainMinutes > 0 || t.remainSeconds > 0){
                    document.getElementById('texto').innerHTML = '<h1>Página en desarrollo</h1>';
                }
                
                document.getElementById('dias').innerHTML = `${t.remainDays}\n <p>dias</p>`;
                document.getElementById('hora').innerHTML = `${t.remainHours}\n <p>horas</p>`;
                document.getElementById('mins').innerHTML = `${t.remainMinutes}\n <p>minutos</p>`;
                document.getElementById('sec').innerHTML = `${t.remainSeconds}\n <p>segundos</p>`;

                if(t.remainTime <= 1) {
                clearInterval(timerUpdate);
                el.innerHTML = finalMessage;
                }

            }, 1000)
            };

            countdown('Mar 11 2022 15:55:00 GMT', 'clock', '¡Ya casi!');
        </script>
    </body>
</html>